## org.apache.batik.bridge
Class BridgeContext.AnimatedAttrListener

    java.lang.Object
      org.apache.batik.bridge.BridgeContext.AnimatedAttrListener

All Implemented Interfaces:
  AnimatedAttributeListener

Enclosing class:
  BridgeContext

    protected class BridgeContext.AnimatedAttrListener

extends java.lang.Object
implements AnimatedAttributeListener

A listener class for changes to animated attributes in the document.

Constructor Summary
`BridgeContext.AnimatedAttrListener()` Creates a new AnimatedAttributeListener.

Method Summary
`void` `animatedAttributeChanged(org.w3c.dom.Element e, AnimatedLiveAttributeValue alav)` Called to notify an object of a change to the animated value of an animated XML attribute.
`void` `otherAnimationChanged(org.w3c.dom.Element e, java.lang.String type)` Called to notify an object of a change to the value of an 'other' animation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BridgeContext.AnimatedAttrListener

    public BridgeContext.AnimatedAttrListener()

  Creates a new AnimatedAttributeListener.

Method Detail

### animatedAttributeChanged

    public void animatedAttributeChanged(org.w3c.dom.Element e,
                                         AnimatedLiveAttributeValue alav)

  Called to notify an object of a change to the animated value of an animated XML attribute.

  Specified by:
    `animatedAttributeChanged` in interface `AnimatedAttributeListener`
  Parameters:
    `e` - the owner element of the changed animated attribute
    `alav` - the AnimatedLiveAttributeValue that changed

### otherAnimationChanged

    public void otherAnimationChanged(org.w3c.dom.Element e,
                                      java.lang.String type)

  Called to notify an object of a change to the value of an 'other' animation.

  Specified by:
    `otherAnimationChanged` in interface `AnimatedAttributeListener`
  Parameters:
    `e` - the element being animated
    `type` - the type of animation whose value changed

Copyright © 2008 Apache Software Foundation. All Rights Reserved.